diff --git a/src/backend/parser/gram.y b/src/backend/parser/gram.y
index 1d39674..d1ff0f3 100644
*** a/src/backend/parser/gram.y
--- b/src/backend/parser/gram.y
*************** a_expr:		c_expr									{ $$ = $1; }
*** 10076,10081 ****
--- 10076,10088 ----
  					n->location = @2;
  					$$ = (Node *)n;
  				}
+ 			| '(' sub_type select_with_parens subquery_Op a_expr ')'	%prec Op
+ 				{
+ 					ereport(ERROR,
+ 							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
+ 							 errmsg("ANY()/ALL() <op> <expr> is not yet implemented"),
+ 							 parser_errposition(@2)));
+ 				}
  			| a_expr subquery_Op sub_type '(' a_expr ')'		%prec Op
  				{
  					if ($3 == ANY_SUBLINK)
*************** a_expr:		c_expr									{ $$ = $1; }
*** 10083,10088 ****
--- 10090,10102 ----
  					else
  						$$ = (Node *) makeA_Expr(AEXPR_OP_ALL, $2, $1, $5, @2);
  				}
+ 			| '(' sub_type '(' a_expr ')' subquery_Op a_expr ')'		%prec Op
+ 				{
+ 					ereport(ERROR,
+ 							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
+ 							 errmsg("ANY()/ALL() <op> <expr> is not yet implemented"),
+ 							 parser_errposition(@2)));
+ 				}
  			| UNIQUE select_with_parens
  				{
  					/* Not sure how to get rid of the parentheses
